pcl::recognition::ORRGraph< NodeData >::Node Class Reference

`#include <pcl/recognition/ransac_based/orr_graph.h>`

## Public Types

enum | State { ON , OFF , UNDEF }

## Public Member Functions

| Node (int id)
virtual | ~Node ()
const std::set< Node * > & | getNeighbors () const
const NodeData & | getData () const
void | setData (const NodeData &data)
int | getId () const
void | setId (int id)
void | setFitness (int fitness)

## Static Public Member Functions

static bool | compare (const Node *a, const Node *b)

## Protected Attributes

std::set< Node * > | neighbors_
NodeData | data_
int | id_
int | fitness_
State | state_

## Friends

class | ORRGraph

## Detailed Description

### template<class NodeData>
class pcl::recognition::ORRGraph< NodeData >::Node

Definition at line 62 of file orr_graph.h.

## Member Enumeration Documentation

## State

template<class NodeData >

enum pcl::recognition::ORRGraph::Node::State

Enumerator
ON |
OFF |
UNDEF |

Definition at line 65 of file orr_graph.h.

## Constructor & Destructor Documentation

## Node()

template<class NodeData >

pcl::recognition::ORRGraph< NodeData >::Node::Node | ( | int | id | ) |

inline

Definition at line 67 of file orr_graph.h.

## ~Node()

template<class NodeData >

virtual pcl::recognition::ORRGraph< NodeData >::Node::~Node | ( |  | ) |

inline virtual

Definition at line 72 of file orr_graph.h.

## Member Function Documentation

## compare()

template<class NodeData >

static bool pcl::recognition::ORRGraph< NodeData >::Node::compare | ( | const Node * | a,
|  | const Node * | b
| ) |  |

inline static

Definition at line 111 of file orr_graph.h.

References pcl::recognition::ORRGraph< NodeData >::Node::fitness_.

Referenced by pcl::recognition::ORRGraph< NodeData >::computeMaximalOnOffPartition().

## getData()

template<class NodeData >

const NodeData& pcl::recognition::ORRGraph< NodeData >::Node::getData | ( |  | ) | const

inline

Definition at line 81 of file orr_graph.h.

References pcl::recognition::ORRGraph< NodeData >::Node::data_.

## getId()

template<class NodeData >

int pcl::recognition::ORRGraph< NodeData >::Node::getId | ( |  | ) | const

inline

Definition at line 93 of file orr_graph.h.

References pcl::recognition::ORRGraph< NodeData >::Node::id_.

## getNeighbors()

template<class NodeData >

const std::set<Node*>& pcl::recognition::ORRGraph< NodeData >::Node::getNeighbors | ( |  | ) | const

inline

Definition at line 75 of file orr_graph.h.

References pcl::recognition::ORRGraph< NodeData >::Node::neighbors_.

## setData()

template<class NodeData >

void pcl::recognition::ORRGraph< NodeData >::Node::setData | ( | const NodeData & | data | ) |

inline

Definition at line 87 of file orr_graph.h.

References pcl::recognition::ORRGraph< NodeData >::Node::data_.

## setFitness()

template<class NodeData >

void pcl::recognition::ORRGraph< NodeData >::Node::setFitness | ( | int | fitness | ) |

inline

Definition at line 105 of file orr_graph.h.

References pcl::recognition::ORRGraph< NodeData >::Node::fitness_.

## setId()

template<class NodeData >

void pcl::recognition::ORRGraph< NodeData >::Node::setId | ( | int | id | ) |

inline

Definition at line 99 of file orr_graph.h.

References pcl::recognition::ORRGraph< NodeData >::Node::id_.

## Friends And Related Function Documentation

## ORRGraph

template<class NodeData >

friend class ORRGraph

friend

Definition at line 116 of file orr_graph.h.

## Member Data Documentation

## data_

template<class NodeData >

NodeData pcl::recognition::ORRGraph< NodeData >::Node::data_

protected

Definition at line 120 of file orr_graph.h.

Referenced by pcl::recognition::ORRGraph< NodeData >::Node::getData(), and pcl::recognition::ORRGraph< NodeData >::Node::setData().

## fitness_

template<class NodeData >

int pcl::recognition::ORRGraph< NodeData >::Node::fitness_

protected

Definition at line 122 of file orr_graph.h.

Referenced by pcl::recognition::ORRGraph< NodeData >::Node::compare(), and pcl::recognition::ORRGraph< NodeData >::Node::setFitness().

## id_

template<class NodeData >

int pcl::recognition::ORRGraph< NodeData >::Node::id_

protected

Definition at line 121 of file orr_graph.h.

Referenced by pcl::recognition::ORRGraph< NodeData >::Node::getId(), and pcl::recognition::ORRGraph< NodeData >::Node::setId().

## neighbors_

template<class NodeData >

std::set<Node*> pcl::recognition::ORRGraph< NodeData >::Node::neighbors_

protected

Definition at line 119 of file orr_graph.h.

Referenced by pcl::recognition::ORRGraph< NodeData >::Node::getNeighbors().

## state_

template<class NodeData >

State pcl::recognition::ORRGraph< NodeData >::Node::state_

protected

Definition at line 123 of file orr_graph.h.

The documentation for this class was generated from the following file:

- pcl/recognition/ransac_based/orr_graph.h